curl -X DELETE https://app.demeterrr.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000 \
-H "X-API-Key: dem_your_key_here"
const response = await fetch(
'https://app.demeterrr.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000',
{
method: 'DELETE',
headers: { 'X-API-Key': 'dem_your_key_here' }
}
);
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"deleted": true
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Contact not found"
}
}
Contacts
Delete Contact
Permanently delete a contact
DELETE
/
api
/
v1
/
contacts
/
:id
curl -X DELETE https://app.demeterrr.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000 \
-H "X-API-Key: dem_your_key_here"
const response = await fetch(
'https://app.demeterrr.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000',
{
method: 'DELETE',
headers: { 'X-API-Key': 'dem_your_key_here' }
}
);
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"deleted": true
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Contact not found"
}
}
Authentication
Requirescontacts:write scope.
Path Parameters
string
required
Contact UUID
This action is permanent and cannot be undone. All associated data (responses, sendings) will remain but will be orphaned.
curl -X DELETE https://app.demeterrr.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000 \
-H "X-API-Key: dem_your_key_here"
const response = await fetch(
'https://app.demeterrr.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000',
{
method: 'DELETE',
headers: { 'X-API-Key': 'dem_your_key_here' }
}
);
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"deleted": true
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Contact not found"
}
}
⌘I